use strict;
use warnings;
use Time::HiRes qw(sleep);
use Test::WWW::Selenium;
use Test::More "no_plan";
use Test::Exception;
use t::Bugzilla;

my $T = t::Bugzilla->new;

my $notes = $T->notes;

my $sel = Test::WWW::Selenium->new( host => $notes->{host},
                                    browser => $notes->{browser},
                                    browser_url => $notes->{browser_url} );

$sel->open_ok("/rh_bugzilla_3/index.cgi?GoAheadAndLogIn=1");
$sel->type_ok("Bugzilla_login", $notes->{admin_username});
$sel->type_ok("Bugzilla_password", $notes->{admin_password});
$sel->click_ok("log_in");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Administration");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Users");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=add a new user");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "adminuser\@redhat.com");
$sel->type_ok("name", "adminuser");
$sel->type_ok("password", "password");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("group_1");
$sel->click_ok("update");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "Bugtooluser\@redhat.com");
$sel->type_ok("name", "bugtooluser");
$sel->type_ok("password", "password");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("group_14");
$sel->click_ok("update");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "canconfirmuser\@redhat.com");
$sel->type_ok("name", "canconfirmuser");
$sel->type_ok("password", "password");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("group_9");
$sel->click_ok("update");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "creategroupsuser\@redhat.com");
$sel->type_ok("name", "creategroupsuser");
$sel->type_ok("password", "password");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("group_4");
$sel->click_ok("update");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "develuser\@redhat.com");
$sel->type_ok("name", "develuser");
$sel->type_ok("password", "password");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("group_15");
$sel->click_ok("update");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "editbugsuser\@redhat.com");
$sel->type_ok("name", "editbugsuser");
$sel->type_ok("password", "password");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("group_8");
$sel->click_ok("update");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "editcomponentsuser\@redhat.com");
$sel->type_ok("name", "editcomponentsuser");
$sel->type_ok("password", "password");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("group_6");
$sel->click_ok("update");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "editkeywordsuser\@redhat.com");
$sel->type_ok("name", "editkeywordsuser");
$sel->type_ok("password", "password");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("group_7");
$sel->click_ok("update");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "editusersuser\@redhat.com");
$sel->type_ok("name", "editusersuser");
$sel->type_ok("password", "password");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("group_3");
$sel->click_ok("update");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "jbossuser\@redhat.com");
$sel->type_ok("name", "jbossuser");
$sel->type_ok("password", "password");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("group_16");
$sel->click_ok("update");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "privatecommentuser\@redhat.com");
$sel->type_ok("name", "privatecommentuser");
$sel->type_ok("password", "password");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("group_17");
$sel->click_ok("update");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "qauser\@redhat.com");
$sel->type_ok("name", "qauser");
$sel->type_ok("password", "password");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("group_19");
$sel->click_ok("update");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "seriesuser\@redhat.com");
$sel->type_ok("name", "seriesuser");
$sel->type_ok("password", "password");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("group_18");
$sel->click_ok("update");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "tweakparamsuser\@redhat.com");
$sel->type_ok("name", "tweakparamsuser");
$sel->type_ok("password", "password");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("group_2");
$sel->click_ok("update");
$sel->wait_for_page_to_load_ok("30000");
