use strict;
use warnings;
use Time::HiRes qw(sleep);
use Test::WWW::Selenium;
use Test::More "no_plan";
use Test::Exception;
use t::Bugzilla;

my $T = t::Bugzilla->new;

my $notes = $T->notes;

my $sel = Test::WWW::Selenium->new( host => $notes->{host},
                                    browser => $notes->{browser},
                                    browser_url => $notes->{browser_url} );

$sel->open_ok("/rh_bugzilla_3/");
$sel->type_ok("Bugzilla_login", $notes->{admin_username});
$sel->type_ok("Bugzilla_password", $notes->{admin_password});
$sel->click_ok("log_in");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Administration");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Products");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Add product");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("product", "RHN Test Product");
$sel->type_ok("description", "This is only a test product for RHN.");
$sel->type_ok("votesperuser", "2");
$sel->type_ok("maxvotesperbug", "500");
$sel->type_ok("votestoconfirm", "1");
$sel->type_ok("version", "rhn250");
$sel->click_ok("//input[\@value='Add']");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Edit components:");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Add");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("component", "RHN/API");
$sel->type_ok("description", "this is a component for the test product RHN.");
$sel->type_ok("initialowner", "adminuser\\\@redhat.com");
$sel->type_ok("initialqacontact", "adminuser\\\@redhat.com");
$sel->type_ok("initialowner", "adminuser\@redhat.com");
$sel->type_ok("initialqacontact", "adminuser\@redhat.com");
$sel->type_ok("initialcc", "editbugsuser\@redhat.com");
$sel->click_ok("create");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Add");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("component", "RHN/Applet");
$sel->type_ok("description", "this is test component for the rhn test product.");
$sel->type_ok("initialowner", "editbugsuser\@redhat.com");
$sel->type_ok("initialqacontact", "editbugsuser\@redhat.com");
$sel->type_ok("initialcc", "editbugsuser\@redhat.com");
$sel->click_ok("create");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Administration");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Products");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Add product");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("product", "RHEL Test Product");
$sel->type_ok("description", "this is only a REHL test product");
$sel->click_ok("//input[\@value='Add']");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Edit components:");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Add");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("component", "4Suite");
$sel->type_ok("description", "4Suite is name of test component for the RHEL test product");
$sel->type_ok("initialowner", "adminuser\@redhat.com");
$sel->type_ok("initialqacontact", "adminuser\@redhat.com");
$sel->type_ok("initialcc", "adminuser\@redhat.com");
$sel->click_ok("create");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Add");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("component", "a2ps");
$sel->type_ok("description", "this is only a test component for the RHEL test product");
$sel->type_ok("initialowner", "canconfirmuser\@redhat.com");
$sel->type_ok("initialqacontact", "canconfirmuser\@redhat.com");
$sel->type_ok("initialcc", "adminuser\@redhat.com");
$sel->click_ok("create");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link='RHEL Test Product'");
$sel->wait_for_page_to_load_ok("30000");
my $productName = $sel->get_value("product");
my $productDesc = $sel->get_value("description");
$sel->click_ok("submit");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link='RHEL Test Product'");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'Edit\nversions:')]");
$sel->wait_for_page_to_load_ok("30000");
my $productVersion = $sel->get_table("//div[2]/table.1.0");
$sel->click_ok("link='RHEL Test Product'");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Edit components:");
$sel->wait_for_page_to_load_ok("30000");
my $firstCompName = $sel->get_table("//div[2]/table.1.0");
my $firstCompDesc = $sel->get_table("//div[2]/table.1.1");
my $firstCompInitialOwner = $sel->get_table("//div[2]/table.1.2");
my $firstCompInitialQA = $sel->get_table("//div[2]/table.1.3");
my $secondCompName = $sel->get_table("//div[2]/table.2.0");
my $secondCompDesc = $sel->get_table("//div[2]/table.2.1");
my $secondCompInitialOwner = $sel->get_table("//div[2]/table.2.2");
my $secondCompInitialQA = $sel->get_table("//div[2]/table.2.3");

$T->notes('product' => { "productName" => $productName,
                         "productDesc" => $productDesc,
                         "productVersion" => $productVersion,
                         "productComponents" => {
                               $firstCompName => { 
                                          "compName" => $firstCompName,
                                          "compDesc" => $firstCompDesc,
                                          "compInitialOwner" => $firstCompInitialOwner,
                                          "compInitailQA"    => $firstCompInitialQA,
                                },
                                $secondCompName => {
                                          "compName" => $secondCompName,
                                          "compDesc" => $secondCompDesc,
                                          "compInitialOwner" => $secondCompInitialOwner,
                                          "compInitailQA"    => $secondCompInitialQA,
                                },
                          },

                       });


