use strict;
use warnings;
use Time::HiRes qw(sleep);
use Test::WWW::Selenium;
use Test::More "no_plan";
use Test::Exception;
use t::Bugzilla;

my $T = t::Bugzilla->new;

my $notes = $T->notes;

my $sel = Test::WWW::Selenium->new( host => $notes->{host},
                                    browser => $notes->{browser},
                                    browser_url => $notes->{browser_url} );

$sel->open_ok("/rh_bugzilla_3/");
$sel->type_ok("Bugzilla_login", $notes->{admin_username});
$sel->type_ok("Bugzilla_password", $notes->{admin_password});
$sel->click_ok("log_in");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Administration");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Users");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=add a new user");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "testuserA\@redhat.com");
$sel->type_ok("name", "TestuserA");
$sel->type_ok("password", "password");
my $loginA = $sel->get_value("login");
my $nameA = $sel->get_value("name");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "testuserB\@redhat.com");
$sel->type_ok("name", "TestuserB");
$sel->type_ok("password", "password");
my $loginB = $sel->get_value("login");
my $nameB = $sel->get_value("name");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "testuserC\@redhat.com");
$sel->type_ok("name", "TestuserC");
$sel->type_ok("password", "password");
my $loginC = $sel->get_value("login");
my $nameC = $sel->get_value("name");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "testuserD\@redhat.com");
$sel->type_ok("name", "TestuserD");
$sel->type_ok("password", "password");
my $loginD = $sel->get_value("login");
my $nameD = $sel->get_value("name");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "illegalAccount\@rejected.com");
$sel->type_ok("name", "illegaluser");
$sel->type_ok("password", "password");
my $disableAccount = $sel->get_value("login");
my $disableName = $sel->get_value("name");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "newuserA\@redhat.com");
$sel->type_ok("name", "NewUserA");
$sel->type_ok("password", "password");
my $newloginA = $sel->get_value("login");
my $newnameA = $sel->get_value("name");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("//a[contains(text(),'add\n    a new user')]");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("login", "newuserB\@gmail.com");
$sel->type_ok("name", "NewUserB");
$sel->type_ok("password", "password");
$sel->type_ok("disabledtext", "This account will be disabled because the user perform illegal actions in the site");
my $newloginB = $sel->get_value("login");
my $newnameB = $sel->get_value("name");
my $reason = $sel->get_value("disabledtext");
$sel->click_ok("add");
$sel->wait_for_page_to_load_ok("30000");


$T->notes( 'users'  => {
                         userA => { login => $loginA,  realname => $nameA },
                         userB => { login => $loginB,  realname => $nameB },
                         userC => { login => $loginC,  realname => $nameC },
                         userD => { login => $loginD,  realname => $nameD }, 
                         disableuser => { login => $disableAccount, realname => $disableName, reason => $reason },
                         newuserA => { login => $newloginA, realname => $newnameA},
                         newuserB => { login => $newloginB, realname => $newnameB},
                       }
         );


