use strict;
use warnings;
use Time::HiRes qw(sleep);
use Test::WWW::Selenium;
use Test::More "no_plan";
use Test::Exception;
use t::Bugzilla;

my $T = t::Bugzilla->new;

my $notes = $T->notes;

my $sel = Test::WWW::Selenium->new( host => $notes->{host},
                                    browser => $notes->{browser},
                                    browser_url => $notes->{browser_url} );

$sel->open_ok("/rh_bugzilla_3/");
$sel->type_ok("Bugzilla_login", $notes->{admin_username});
$sel->type_ok("Bugzilla_password", $notes->{admin_password});
$sel->click_ok("log_in");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Administration");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=milestones");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=RHEL Test Product");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Add");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("milestone", "MP2");
$sel->click_ok("create");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Add");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("milestone", "MP_FINAL");
$sel->click_ok("create");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link='RHEL Test Product'");
$sel->wait_for_page_to_load_ok("30000");
my $product = $sel->get_value("product");
my $milestone1 = $sel->get_text("//tr[12]/td");
my $milestone2 = $sel->get_text("//tr[12]/td");
my $current_milestone = $sel->get_text("//tr[12]/td");
$sel->click_ok("link=Edit milestones:");
$sel->wait_for_page_to_load_ok("30000");


$T->notes( milestones => { product => $product,
                           current_milestone => $current_milestone,
                           first_milestone => $milestone1,
                           second_milestone => $milestone2,
                         }
         );
