use strict;
use warnings;
use Time::HiRes qw(sleep);
use Test::WWW::Selenium;
use Test::More "no_plan";
use Test::Exception;
use t::Bugzilla;

my $T = t::Bugzilla->new;

my $notes = $T->notes;

my $sel = Test::WWW::Selenium->new( host => $notes->{host},
                                    browser => $notes->{browser},
                                    browser_url => $notes->{browser_url} );

$sel->open_ok("/rh_bugzilla_3/index.cgi?GoAheadAndLogIn=1");
$sel->type_ok("Bugzilla_login", $notes->{admin_username});
$sel->type_ok("Bugzilla_password", $notes->{admin_password});
$sel->click_ok("log_in");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Administration");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Flags");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Create Flag Type for Bugs");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("name", "needinfo");
$sel->type_ok("description", "Additional Information is Required");
$sel->click_ok("save");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Create Flag Type for Bugs");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("name", "test_flag");
$sel->type_ok("description", "Test Flag");
$sel->select_ok("product", "label=RHEL Test Product");
$sel->click_ok("categoryAction-include");
$sel->wait_for_page_to_load_ok("30000");
$sel->add_selection_ok("inclusion_to_remove", "label=__Any__:__Any__");
$sel->click_ok("categoryAction-removeInclusion");
$sel->wait_for_page_to_load_ok("30000");
$sel->select_ok("view_group", "label=admin");
$sel->select_ok("grant_group", "label=admin");
$sel->select_ok("request_group", "label=admin");
$sel->click_ok("save");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Create Flag Type for Bugs");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("name", "fast");
$sel->type_ok("description", "Set this flag to ? to request this issue be proposed in the Fastrack release of Red Hat Enterprise Linux. Your request will be reviewed by the Red Hat Enterprise Linux Product Manager.");
$sel->select_ok("product", "label=RHEL Test Product");
$sel->click_ok("categoryAction-include");
$sel->wait_for_page_to_load_ok("30000");
$sel->add_selection_ok("inclusion_to_remove", "label=RHEL Test Product:__Any__");
$sel->remove_selection_ok("inclusion_to_remove", "label=RHEL Test Product:__Any__");
$sel->add_selection_ok("inclusion_to_remove", "label=__Any__:__Any__");
$sel->click_ok("categoryAction-removeInclusion");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("sortkey", "2");
$sel->select_ok("view_group", "label=admin");
$sel->select_ok("grant_group", "label=editbugs");
$sel->select_ok("request_group", "label=admin");
$sel->click_ok("save");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Administration");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Flags");
$sel->wait_for_page_to_load_ok("30000");
my $needinfo_flag = $sel->get_text("link=needinfo");
my $test_flag = $sel->get_text("link=test_flag");
my $fast_flag = $sel->get_text("link=fast");


$T->notes( flags => { needinfo_flag => $needinfo_flag,
                      test_flag => $test_flag,
                      fast_flag => $fast_flag,
                    }
          );
