use strict;
use warnings;
use Time::HiRes qw(sleep);
use Test::WWW::Selenium;
use Test::More "no_plan";
use Test::Exception;
use t::Bugzilla;

my $T = t::Bugzilla->new;

my $notes = $T->notes;

my $sel = Test::WWW::Selenium->new( host => $notes->{host},  
                                    browser => $notes->{browser}, 
                                    browser_url => $notes->{browser_url} );

$sel->open_ok("/rh_bugzilla_3/");
$sel->type_ok("Bugzilla_login", $notes->{admin_username});
$sel->type_ok("Bugzilla_password", $notes->{admin_password});
$sel->click_ok("log_in");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=New");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=RHEL Test Product");
$sel->wait_for_page_to_load_ok("30000");
$sel->select_ok("component", "label=4Suite");
$sel->select_ok("op_sys", "label=All");
$sel->select_ok("bug_severity", "label=high");
$sel->type_ok("cc", "admin\@redhat.com");
$sel->type_ok("short_desc", "This bug is a test bug only");
$sel->type_ok("comment", "Description of problem:\nThis bug is created for testing purposes");
$sel->select_ok("op_sys", "label=Linux");
$sel->click_ok("commit");
$sel->wait_for_page_to_load_ok("30000");
my $bugid = $sel->is_text_present("Bug 1");
my $product = $sel->is_text_present("RHEL Test Product");
my $version = $sel->get_text("//tr[3]/td[2]");
my $component = $sel->get_text("//option[\@value='4Suite']");
my $op_sys = $sel->get_text("//option[\@value='Linux']");
my $rep_platform = $sel->get_text("//option[\@value='All']");
my $reporter = $sel->is_text_present("tfu");
my $assigned_to = $sel->is_text_present("adminuser");
my $bug_severity = $sel->get_text("//option[\@value='high']");
my $bug_status = $sel->get_text("//option[\@value='NEW']");
$sel->click_ok("cc_edit_area_showhide");
$sel->add_selection_ok("cc", "label=admin\@redhat.com");
my $cc = $sel->get_text("//option[\@value='admin\@redhat.com']");
$sel->click_ok("link=Expand All Comments");
my $short_desc = $sel->is_text_present("Description of problem: This bug is created for testing purposes");

my $comment='';
my $priority = '';
my $bug_file_loc = '';

#store the bug fields variables using notes function in the t::Bugzilla package
$T->notes( 'bugid' => $bugid );

$T->notes('bugfields' => {  "short_desc"     => $short_desc,
                            "product"        => $product,
                            "component"      => $component,
                            "version"        => $version,
                            "rep_platform"   => $rep_platform,
                            "bug_severity"   => $bug_severity,
                            "bug_status"     => $bug_status,
                            "priority"       => $priority,
                            "op_sys"         => $op_sys,
                            "cc"             => $cc,
                            "assigned_to"    => $assigned_to,
                            "reporter"       => $reporter, 
                            "bug_file_loc"   => $bug_file_loc,
                            "comment"        => $comment,
                          } );  

