use strict;
use warnings;
use Time::HiRes qw(sleep);
use Test::WWW::Selenium;
use Test::More "no_plan";
use Test::Exception;
use t::Bugzilla;

my $T = t::Bugzilla->new;

my $notes = $T->notes;

my $sel = Test::WWW::Selenium->new( host => $notes->{host},
                                    browser => $notes->{browser},
                                    browser_url => $notes->{browser_url} );

$sel->open_ok("/rh_bugzilla_3/");
$sel->type_ok("Bugzilla_login", $notes->{admin_username});
$sel->type_ok("Bugzilla_password", $notes->{admin_password});
$sel->click_ok("log_in");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Administration");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Users");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("search");
$sel->wait_for_page_to_load_ok("30000");
my $admin_user = $sel->get_text("link=adminuser\@redhat.com");
my $bugtool_user = $sel->get_text("link=Bugtooluser\@redhat.com");
my $canconfirm_user = $sel->get_text("link=canconfirmuser\@redhat.com");
my $creategroup_user = $sel->get_text("link=creategroupsuser\@redhat.com");
my $devel_user = $sel->get_text("link=develuser\@redhat.com");
my $editbugs_user = $sel->get_text("link=editbugsuser\@redhat.com");
my $editcomponent_user = $sel->get_text("link=editcomponentsuser\@redhat.com");
my $editkeywords_user = $sel->get_text("link=editkeywordsuser\@redhat.com");
my $editusers_user = $sel->get_text("link=editusersuser\@redhat.com");
my $jboss_user = $sel->get_text("link=jbossuser\@redhat.com");
my $private_comment_user = $sel->get_text("link=privatecommentuser\@redhat.com");
my $qa_user = $sel->get_text("link=qauser\@redhat.com");
my $series_user = $sel->get_text("link=seriesuser\@redhat.com");
my $tweakparams_user = $sel->get_text("link=tweakparamsuser\@redhat.com");


$T->notes( group_users => {
                            admin_user => $admin_user,
                            bugtool_user =>  $bugtool_user,
                            canconfirm_user => $canconfirm_user,
                            creategroup_user => $creategroup_user,
                            devel_user  => $devel_user,
                            editbugs_user => $editbugs_user,
                            editcomponent_user  => $editcomponent_user,
                            editkeywords_user => $editkeywords_user,
                            editusers_user   => $editusers_user,
                            jboss_user  => $jboss_user,
                            private_comment_user  => $private_comment_user,
                            qa_user => $qa_user,
                            series_user   => $series_user,
                            tweakparams_user => $tweakparams_user,
                          }
         ); 

